# PCFactorSetPivotInBlocks

Determines if pivoting is done while factoring each block with BAIJ or SBAIJ matrices

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCFactorSetPivotInBlocks(PC pc,PetscTruth pivot)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| pivot | - PETSC_TRUE or PETSC_FALSE

### Options Database Key

-pc_factor_pivot_in_blocks <true,false> -

### See Also

PCILUSetMatOrdering(), PCFactorSetPivoting()

Level:intermediate
Location: src/ksp/pc/impls/factor/lu/lu.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages